OrderTypeCombo = {
    TYPE_SH: 'SH-', // Shirt
    TYPE_S: 'S-', // Suit
};

//Order Type Combo
Ext.define("App.view.OrderTypeCombo", {
    extend: "Ext.form.field.ComboBox",
    alias: "widget.orderTypeCombo",

    fieldLabel: App.localeRes("Type"),
    name: "type",
    displayField: "value",
    valueField: "value",
    editable: false,
    tpl: '<tpl for="."><div class="x-boundlist-item">{value}</div></tpl>',

    initComponent: function() {
        var me = this;

        if (!me.store)
            me.store = Ext.create("Ext.data.Store", {
                fields: ["value"],
                data: [
                    {
                        value: OrderTypeCombo.TYPE_SH,
                    },
                    {
                        value: OrderTypeCombo.TYPE_S,
                    },
                ]
            });

        me.callParent();
    }
});
